Bug 996810 - [abrt] bodhi-client-0.9.5-3.fc20: adapters.py:324:send:ConnectionError: [Errno 111] Connection refused
[abrt] bodhi-client-0.9.5-3.fc20: adapters.py:324:send:ConnectionError: [Errn...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:85c6badd73092c02ead11e805a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 22:38 EDT by Christopher Meng
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.61 KB, text/plain)
2013-08-13 22:38 EDT, Christopher Meng
no flags Details
File: dso_list (72 bytes, text/plain)
2013-08-13 22:38 EDT, Christopher Meng
no flags Details
File: environ (3.33 KB, text/plain)
2013-08-13 22:38 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-08-13 22:38:06 EDT
Description of problem:
I locked my box last night, today when I woke it up and try to push an update, it failed.

Version-Release number of selected component:
bodhi-client-0.9.5-3.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -tt /usr/bin/bodhi --new --release el6 --file bodhi.template monitorix-3.3.0-1.el6 --username cicku
executable:     /usr/bin/bodhi
kernel:         3.11.0-0.rc5.git0.2.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
adapters.py:324:send:ConnectionError: [Errno 111] Connection refused

Traceback (most recent call last):
  File "/usr/bin/bodhi", line 523, in <module>
    main()
  File "/usr/bin/bodhi", line 220, in main
    data = bodhi.save(**update_args)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 111, in save
    'bugs': bugs,
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
    auth_params=auth_params, retries=retries)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 351, in send_request
    verify=not self.insecure,
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 88, in post
    return request('post', url, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 44, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 335, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 438, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 324, in send
    raise ConnectionError(sockerr)
ConnectionError: [Errno 111] Connection refused

Local variables in innermost frame:
chunked: False
stream: False
url: '/updates/save'
verify: True
self: <requests.adapters.HTTPAdapter object at 0x87637ac>
request: <PreparedRequest [POST]>
cert: None
timeout: None
sockerr: error(111, 'Connection refused')
proxies: OrderedDict()
conn: <urllib3.connectionpool.HTTPSConnectionPool object at 0x87632ac>
Comment 1 Christopher Meng 2013-08-13 22:38:11 EDT
Created attachment 786386 [details]
File: backtrace
Comment 2 Christopher Meng 2013-08-13 22:38:14 EDT
Created attachment 786387 [details]
File: dso_list
Comment 3 Christopher Meng 2013-08-13 22:38:18 EDT
Created attachment 786388 [details]
File: environ
Comment 4 Fedora End Of Life 2013-09-16 12:33:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:19:13 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:16:42 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.